<template>
  <div class="anon-sidebar">
    <div v-if="!tariffError">
      <div class="anon-sidebar__header">
        <i class="icon info"></i>
        Для вашего маршрута доступна онлайн-цена
      </div>
      <div v-if="priceForOnline.total_price" class="anon-sidebar__total-price">
        <ob-currency :value="priceForOnline.total_price / 100" />
        <span>без НДС</span>
      </div>
      <div class="anon-sidebar__vat">
        <template v-if="priceForOnline.vat === 0">НДС не облагается</template>
        <template v-else>
          НДС:
          <ob-currency
            :value="
              ((priceForOnline.total_price / 100) * priceForOnline.vat) / 100
            "
          />
        </template>
      </div>
    </div>
    <div v-if="tariffError" class="ob-order__status tariff-error">
      <div class="anon-sidebar__header">
        <i class="icon info"></i>
        Ошибка при поиске тарифа
      </div>
      <p>Что-то пошло не так. Попробуйте ещё раз.</p>
      <p>
        Если ошибка будет повторяться, свяжитесь со службой поддержки платформы {{ $options.contacts[platform].title }} по телефону <a :href="`tel:${$options.contacts[platform].linkphone}`">{{ $options.contacts[platform].phone }}</a> или почте <a :href="`mailto:${$options.contacts[platform].email}`">{{ $options.contacts[platform].email }}</a>
      </p>
      <div class="ob-order__action">
        <ob-button
          label="Попробовать ещё раз"
          :isFullWidth="true"
          data-qa="btnTryAgain"
          @click="$emit('retakeTariff')"
        />
      </div>
    </div>
  </div>
</template>

<script>
import { contacts } from "@/resources/contacts";
import obCurrency from "@/components/obCurrency";
import obButton from "common-components/src/obComponents/obButton";
export default {
  name: "anonSidebar",

  props: {
    orderType: {
      type: String,
      required: true,
    },
    tariffs: {
      type: Array,
      default: () => [],
    },

    tariffError: {
      type: Boolean,
      default: () => false,
    },

    logchainError: {
      type: Boolean,
      default: () => false,
    },

    tariffEmpty: {
      type: Boolean,
      default: () => false,
    },

    priceForOnline: {
      type: Object,
      required: true,
    },
  },

  contacts,

  components: {
    obCurrency,
    obButton,
  },

  computed: {
    platform() {
      return window.OBOZ_CONFIG.OBOZ_API_HOST.includes("oboz")
        ? 'oboz' : "gruzi";
    }
  }
};
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
@import "~common-components/src/static/css/variables";

.anon-sidebar__header {
  margin-top: 5px;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  font-size: 16px;
  line-height: 1.2;
  letter-spacing: 0.4px;
  font-weight: 700;
  color: $color-blue-navy-blue;

  .icon {
    margin-right: 16px;
    font-size: 24px;
  }

  .info {
    color: $color-blue-navy-blue;
  }
}

.anon-sidebar {
  &__total-price {
    display: flex;
    align-items: flex-end;
    padding-top: 21px;
    @include font-mixin(20px, 28px, 700, $color-text-base, 0.4px);

    span {
      @include font-mixin(12px, 14px, 400, $color-text-base, 0.4px);
    }

    .currency {
      margin-right: 0.3em;
    }
  }

  &__vat {
    margin-top: 5px;
    display: flex;
    align-items: center;
    @include font-mixin(12px, 14px, 400, $gray-slate, 0.4px);
    text-transform: none;
    width: 150px;

    .currency {
      margin-left: 0.3em;
    }
  }
}

.tariff-error {
  .anon-sidebar__header {
    color: $color-error;
    .info {
      color: $color-error;
    }
  }
  a {
    color: #004bc8;
    text-decoration: none;
  }
  p + p {
    margin-top: 20px;
  }
  .ob-order__action {
    margin-top: 22px;
  }
}
</style>
